﻿@{
    ViewBag.Title = "OutPatient";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>OutPatient Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                    <div class="form-group">
                        <label for="inputPatientNo" class="col-sm-2 control-label">Select Patient No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="inputPatientNo">
                              

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputDOAdmit" class="col-sm-2 control-label">Date Of Admit</label>

                        <div class="col-sm-5">
                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="form-control pull-right" id="inputDOAdmit">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputDODischarge" class="col-sm-2 control-label">Date Of Discharge</label>

                        <div class="col-sm-5">
                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="form-control pull-right" id="inputDODischarge">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputLabID" class="col-sm-2 control-label">Select Lab No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputLabID">
                                
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputMedID" class="col-sm-2 control-label">Select Med ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputMedID">
                              

                            </select>
                        </div>
                    </div>
               
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddOutPatientData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddOutPatientData() {
        debugger;
        var PatientNo = $('#inputPatientNo :selected').attr('id');
        var DOAdmit = $('#inputDOAdmit').val();
        var DODischarge = $('#inputDODischarge').val();
        var LabID = $('#InputLabID :selected').attr('id');
        var MedID = $('#InputMedID :selected').attr('id');
       
        $.ajax({
            url: '@Url.Action("AddOutPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ PatientNo: PatientNo, DOAdmit: DOAdmit, DODischarge: DODischarge, LabID: LabID, MedID: MedID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
<script>
    $(document).ready(function () {
        debugger;
        $("#inputDOAdmit").datepicker();
        $("#inputDODischarge").datepicker();
});
</script>

<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
     //   alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Patient = data.Patient;
                    var Lab = data.Lab;
                    var Medicine = data.Medicine;
                   
                    for (i = 0; i < Patient.length; i++) {
                        $('#inputPatientNo').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + ' >' + Patient[i].pname + '  </option>');
                    }

                    
                    for (i = 0; i < Lab.length; i++) {
                        $('#InputLabID').append('<option id=' + Lab[i].labno + ' value=' + Lab[i].category + ' >' + Lab[i].category + '  </option>');

                    }

                    for (i = 0; i < Medicine.length; i++) {
                        $('#InputMedID').append('<option id=' + Medicine[i].medid + ' value=' + Medicine[i].name+ ' >' + Medicine[i].name+ '  </option>');

                    }

                    

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>